API Reference//
- Get a specific line item by ID
Get a list of line items
Map a line item to an instance
Delete a line item by its ID
Get a specific line item...
Returns information about a specific line item. Pass the line item ID for which you require information as a path parameter.
Security
AdministrationAccess or ClientAccess
- Dynamic Monetization API URLhttps://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/instances/{instanceId}/line-items/{lineItemId}
curl -i -X GET \
'https://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/instances/{instanceId}/line-items/{lineItemId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The requested line item was found and returned successfully.
The line item state. Valid states are:
- DEPLOYED
- INACTIVE
- OBSOLETE
INACTIVE and OBSOLETE can only be set when the line item already exists.
An OBSOLETE line item cannot be set to INACTIVE or DEPLOYED.
The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the line item starts.
The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the line item ends.
The count from the line item quantity used by access requests. The value can be fractional.
Response
{ "activationId": "string", "state": "string", "quantity": 1, "start": 0, "end": 0, "used": 0.1, "attributes": { "elastic": false, "rateTableSeries": "", "overdraftLimit": 0, "overdraftType": "string", "resetFrequency": "P1M" } }